html{
    scroll-behavior: smooth;
}

body{
    margin: 0;
    padding: 0;
}

div.mwtest{
    max-width: 1440px;
}

/* Headings */
div.heading{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 96px;
    color: #1e1e1e;
}

div.heading2{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 96px;
    color: #e6e6e6;
}

div.heading3{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 96px;
    color: #ffffff;
}

/* Sub-Headings */
div.subhead{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    color: #1e1e1e;
}

div.subhead2{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    color: #e6e6e6;
}

div.subheadmargleft{
    margin-left: 8px;
}

/* Bodys */
div.body{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #1e1e1e;
    line-height: 1.4em;
}

div.body2{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #e6e6e6;
    line-height: 1.4em;
}

div.bodypad{
    padding-top: 16px;
    padding-bottom: 16px;
    /* padding-right: 16px; */
    padding-left: 8px;
}

div.bodypad2{
    padding-top: 16px;
    padding-left: 8px;
}

div.bodybold{
    font-family: darkmode-off, sans-serif;
    font-style: bold;
    font-weight: 400;
    font-size: 16px;
    color: #1e1e1e;
}

div.bodymargright{
    margin-right: 8px;
}

div.bodymargleft{
    margin-left: 8px;
}

div.justifytext{
    text-align: justify;
    text-justify: inter-word;
}

div.indent{
    margin-left: 32px;
}

div.indent2{
    margin-left: 64px;
}

div.indent3{
    margin-left: 128px;
}

div.firstlineindent{
    text-indent: 32px;
}

/* Captions */
div.caption{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 12px;
    color: #1e1e1e;
}

div.caption2{
    font-family: darkmode-off, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 12px;
    color: #e6e6e6;
}

div.allcaps{
    text-transform: uppercase;
}

div.captionmargright{
    margin-right: 16px;
}

div.captionmargleft{
    margin-left: 16px;
}

div.captionmargleft2{
    padding-left: 32px;
}

div.captionmargleft3{
    padding-left: 8px;
}

div.imagecaptionrightpad{
    padding-right: 16px;
}

/* Quote */
div.quote{
    font-family: p22-typewriter, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #b21c1f;
    line-height: 1.4;
}

div.quotehead{
    font-family: p22-typewriter, sans-serif;
    font-style: bold;
    font-weight: 800;
    font-size: 24px;
    color: #b21c1f;
    line-height: 1.4;
}

div.quote2{
    font-family: p22-typewriter, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #1e1e1e;
    line-height: 1.4;
}

div.uthantpad{
    padding: 16px;
}


/* Meteors */
div.meteor{
    font-family: p22-typewriter, sans-serif;
    font-style: bold;
    font-weight: 800;
    font-size: 12px;
    color: #e6e6e6;
}

div.meteor2{
    font-family: p22-typewriter, sans-serif;
    font-style: bold;
    font-weight: 800;
    font-size: 12px;
    color: #1e1e1e;
}

/* using pre for tabs - adds default margin. need to reset */
pre{
    margin: 0;
    padding: 0;
    font-family: inherit;
}
/* can add changes to white space or remove inherit font for full reset */

div.meteorcontainer{
    background-color: #1e1e1e;
}

div.blink{
    animation-name: blink;
    animation-duration: 1s;

    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}

@keyframes blink {
    50% {opacity: 0;}
}

div.blink2{
    animation-name: blink2;
    animation-duration: 2s;

    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}

@keyframes blink2 {
    50% {opacity: 0;}
}





div.note{
    font-style: italic;
    color: blue;
}

div.note2{
    font-style: italic;
    color: rgb(0, 255, 0);
}

/* Colors */
div.bg1{
    background-color: #1e1e1e;
}

div.bg2{
    background-color: #e6e6e6;
}

div.bg3{
    background-color: #b21c1f;
}

div.bg4{
    background-color: #ffffff;
}

div.bg5{
    background-color: black;
}

div.bgtest{
    background-color: lightgreen;
}

div.bgtest2{
    background-color: paleturquoise;
}

/* dark grey */
div.color1{
    color: #1e1e1e;
}
/* light grey */
div.color2{
    color: #e6e6e6;
}
/* dark red */
div.color3{
    color: #b21c1f;
}
/* gold */
div.color4{
    color: #eebf1c;
}
/* white */
div.color5{
    color: #e6e6e6;
}


/* Columns */
div.width5{
    width: 5%;
}

div.width10{
    width: 10%;
}

div.width15{
    width: 15%;
}

div.width20{
    width: 20%;
}

div.width25{
    width: 25%;
}

div.width30{
    width: 30%;
}

div.width33{
    width: 33.333%;
}

div.width35{
    width: 35%;
}

div.width40{
    width: 40%;
}

div.width44{
    width: 44%;
}

div.width45{
    width: 45%;
}

div.width50{
    width: 50%;
}

div.width55{
    width: 55%;
}

div.width60{
    width: 60%;
}

div.width65{
    width: 65%;
}

div.width68{
    width: 68%;
}

div.width70{
    width: 70%;
}

div.width75{
    width: 75%;
}

div.width80{
    width: 80%;
}

div.width85{
    width: 85%;
}

div.width90{
    width: 90%;
}

div.width95{
    width: 95%;
}

div.width100{
    width: 100%;
}

div.box{
    background-color: #1e1e1e;
    width: 100%;
    margin-top: 100px;
    padding: 32px;
}



/* Flexboxes */
div.flexbox{
    display: flex;
}

div.flexwrap{
    display: flex;
    flex-wrap: wrap;
}

div.flexcol{
    display: flex;
    flex-direction: column;
}

div.flexend{
    align-content: flex-end;
}

div.flexright{
    display: flex;
    justify-content: flex-end;
}

div.rowreverse{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column-reverse;
    justify-content: space-evenly;
}

div.spacearound{
    display: flex;
    justify-content: space-around;
    align-items: center;
}

div.spacebetween{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

div.vertspacearound{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

div.flexcenter{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

div.rightalign{
    text-align: end;
}

div.centertext{
    text-align: center;
}

div.break{
    width: 100%;
    height: 50px;
}

div.halfbreak{
    width: 100%;
    height: 25px;
}



/* Sticky Binder Marks */
    div.binder{
        position: fixed;
        top: 0;
        z-index: 2;
        height: 100vh;
        background-color: black;
    }

    div.binder2{
        position: fixed;
        top: 0;
        z-index: 3;
        height: 100vh;
        background-color: #e6e6e6;
    }

    div.bindercircle{
        width: 20px;
        height: 20px;
        margin-left: auto;
        margin-right: auto;
        /* tested hole punch design with bg color but like the outline more */
        background-color: #e6e6e6;
        border: 1px solid #e6e6e6;
        border-radius: 50%;
    }

    div.bindercircle2{
        width: 20px;
        height: 20px;
        margin-left: auto;
        margin-right: auto;
        /* tested hole punch design with bg color but like the outline more */
        background-color: #1e1e1e;
        border: 1px solid #1e1e1e;
        border-radius: 50%;
    }

    div.binderborderl{
        height: 100%;
        border-left: 1px solid #e6e6e6;
    }

    div.binderborderr{
        height: 100%;
        border-right: 1px solid #e6e6e6;
    }

    div.binderborderr2{
        height: 100%;
        border-right: 1px solid #1e1e1e;
    }

    div.bindercirclemarg{
        margin-top: 100px;
        margin-bottom: 100px;
    }


div.diamond {
    width: 0;
    height: 0;
    border: 50px solid transparent;
    border-bottom-color: #e6e6e6;
    position: relative;
    top: -50px;
}
div.diamond:after {
    content: '';
    position: absolute;
    left: -50px;
    top: 50px;
    width: 0;
    height: 0;
    border: 50px solid transparent;
    border-top-color: #e6e6e6;
}




/* Image */
img {
    max-width: 100%;
    height: auto;
}

div.coverimg{
    margin-left: 40px;
    margin-right: 40px;
}

div.worldimg{
    width: 56%;
}

div.patch{
    width: 75%;
}

div.aboutheight{
    height: 300px;
    background-image: url(images/about.jpg);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}



/* Video */
/* too big for github, make timelapse */
video {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}

div.vidplacehold{
    max-width: 100%;
    height: 300px;
    background-color: darkblue;
}






div.left{
    margin-right: auto;
    background-color: palegoldenrod;
}

div.right{
    margin-left: auto;
}

div.center{
    display: flex;
    justify-content: center;
}

div.mission{
    background-color: #e6e6e6;
    text-indent: 50%;
}

div.htest{
    height: 100px;
}

div.imgleftmarg{
    margin-left: 7%;
}

div.colquote{
    margin-top: 40em;
}





/* Lines */
div.topline{
    border-top: 1px solid #1e1e1e;
}

div.topline2{
    border-top: 1px solid #e6e6e6;
}

div.toplinedash{
    border-top: 1px dashed #1e1e1e;
}

div.bottomline{
    border-bottom: 1px solid #1e1e1e;
}

div.bottomline2{
    border-bottom: 1px solid #e6e6e6;
}

div.leftline{
    border-left: 1px solid #1e1e1e;
}

div.leftline2{
    border-left: 1px solid #e6e6e6;
}

div.rightline{
    border-right: 1px solid #1e1e1e;
}

div.rightline2{
    border-right: 1px solid #e6e6e6;
}

/* Tried to create custom border to change dash length but im using borders as lines and not as decorative borders
https://kovart.github.io/dashed-border-generator/ */
div.customdash{
    width: 100px;
    height: 100px;
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23EC3463' stroke-width='1' stroke-dasharray='50%25%2c 50%25' stroke-dashoffset='0' stroke-linecap='butt'/%3e%3c/svg%3e");
}

div.launch{
    width: 100%;
    height: 100%;
    background-image: url(images/launch.jpg);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}

div.exo1{
    background-image: url(images/mission-1.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exo2{
    background-image: url(images/mission-2.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exo3{
    background-image: url(images/mission-3.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exo4{
    background-image: url(images/mission-4.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exo5{
    background-image: url(images/mission-5.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exo6{
    background-image: url(images/mission-6.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    border: 1px solid #e6e6e6;
}

div.exomarg{
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 1em;
    align-content: center;
}

div.exomarg2{
    margin-left: 4em;
}

div.fullbleed{
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
    position: relative;
}

div.discoverbgimg{
    background-image: url(images/discovery.jpg);
}

div.worldmodelbgimg{
    background-image: url(images/worldmodel.png);
}

/* Tried to do vertical text but used writing mode instead */
/* div.verttext{
    position: absolute;
    top: 0;
    left: 0;

    transform-origin: 0 0;
    transform: rotate(90deg);
} */


div.textv{
    writing-mode: sideways-lr;
}

/* in order to apply margin to text had to move writing mode out of fullbleed which puts it at top and not bottom */
div.discmarg{
    margin-left: 0.9em;
    margin-bottom: 0.6em;
}

div.overlayleft{
    position: absolute;
    left: 0.9em;
    bottom: 0.1em;
}

div.testmarg{
    margin-bottom: -0.2em;
}

div.aboutbox{
    border: 1px dotted #e6e6e6;
    padding-top: 2em;
    padding-bottom: 2em;
    padding-left: 1em;
    padding-right: 1em;
}

/* *dont change* for about box */
div.aboutleftmarg{
    margin-left: 8px;
}

/* using for all images to make inline with text, dont want to change name incase i break something and dont notice */
div.aboutimg{
    width: 100%;
    margin-left: 8px;
}

div.aboutimg2{
    width: 100%;
}


div.modelkeyoverflow{
    height: 500px;
    overflow: auto;
}

div.worldmodel{
    width: 100%;
    height: 90vh;
    
    overflow: scroll;

    /* background-color: blue; */
    background-image: url(images/worldmodel2.jpg);
    background-size: 260%;
    background-position: top left 42%;
    background-repeat: no-repeat;
}

div.modelborder{
    border: 1px solid #1e1e1e;
    box-shadow: 5px 5px 10px #1e1e1e;
}

div.worldmodelbg{
    background-image: url(images/worldmodel.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

div.landmodel{
    width: 200px;
}





/* Growth */
div.industryimg{
    width: 40%;
}


/* + javascript links*/
div.toggle {
  cursor: pointer;
}

div.panel {
  height: 0;
  overflow: hidden;
  transition: height 0.4s;
}

/* interaction */
div.change{
    transition: all 0.3s ease;
}

.change:hover{
    background-color: #1e1e1e;
    color: #e6e6e6;
}

div.change2{
    transition: all 0.3s ease;
}

.change2:hover{
    background-color: #e6e6e6;
    color: black;
}



div.change3{
    transition: all 0.3s;
}

.change3:hover{
    color: #1e1e1e;
    background-color: #e6e6e6;
    opacity: 50%;
    cursor: help;
    transition-delay: 0.3s;
    transition-timing-function: ease-in-out;
}

div.change4{
    transition: all 0.3s;
}

.change4:hover{
    color: #e6e6e6;
    background-color: #1e1e1e;
    opacity: 50%;
    cursor: help;
    transition-delay: 0.3s;
    transition-timing-function: ease-in-out;
}

span.bar1{
    color: #e6e6e6;
    background-color: #e6e6e6;
}

span.bar2{
    color: #1e1e1e;
    background-color: #1e1e1e;
}



/* how to get boxes 10%x10% */
div.vertheight{
    height: 100vh;
}

div.square1{
    width: 10%;
    height: 10vh;
}

div.square2{
    background: #1e1e1e;
    width: 10%;
    height: 10vh;
}



/* links */
a{
    text-decoration: none;
    color: #e6e6e6;
}

/* set to the break height to give space above link destination */
:target{
    scroll-margin-top: 25px;
}

/* had break size 50px but changed to 25px when smooth scroll added */

/* using in contents to limit chnage2/hover size */
div.nothingbox{
    width: fit-content;
}

div.squarepad{
    padding: 8px;
}


























































/* Unused code */
div.containerwk8{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    padding: 20px;
    background-color: lightgreen;
}

div.itemwk8{
    background-color: lightpink;
}

div.testbox3{
    text-align: right;
}

div.punchdots{
    width: 10%;
}

div.blank{
    width: 600px;
    height: 400px;
    background-color: lightseagreen;
}

div.textbox{
    width: 800px;
}

div.punchdotsbg{
    height: 100px;
    background-image: url(images/punchdots.png);
    background-size: contain;
    background-position: center left;
    background-repeat: no-repeat;
}

/* inclass overflow example */
div.testoverflow{
    margin-right: auto;
    margin-left: auto;
    font-size: 20;
    width: 400px;
    height: 200px;
    background-color: pink;
    overflow: scroll;
    border-radius: 50%;
    padding: 50px;
    text-align: center;
}

div.comment{
    background-color: lightblue;
    box-shadow: 5px 5px 10px grey;
    padding: 10px;
    margin-right: auto;
    margin-left: auto;
}


/* start dark grey */
div.blink3{
    animation-name: blink3;
    animation-duration: 1s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink3 {
    0% {background-color: #1e1e1e;}
    50% {background-color: transparent;}
}
div.blink4{
    animation-name: blink4;
    animation-duration: 2s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink4 {
    0% {background-color: #1e1e1e;}
    50% {background-color: transparent;}
}
div.blink5{
    animation-name: blink5;
    animation-duration: 3s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink5 {
    0% {background-color: #1e1e1e;}
    50% {background-color: transparent;}
}
div.blink6{
    animation-name: blink6;
    animation-duration: 4s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink6 {
    0% {background-color: #1e1e1e;}
    50% {background-color: transparent;}
}

/* start transparent */
div.blink7{
    animation-name: blink7;
    animation-duration: 1s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink7 {
    0% {background-color: transparent;}
    50% {background-color: #1e1e1e;}
}

div.blink8{
    animation-name: blink8;
    animation-duration:2s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink8 {
    0% {background-color: transparent;}
    50% {background-color: #1e1e1e;}
}

div.blink9{
    animation-name: blink9;
    animation-duration: 3s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink9 {
    0% {background-color: transparent;}
    50% {background-color: #1e1e1e;}
}

div.blink10{
    animation-name: blink10;
    animation-duration: 4s;

    animation-iteration-count: infinite;
    animation-timing-function: step-end;
    animation-direction: alternate;
}
@keyframes blink10 {
    0% {background-color: transparent;}
    50% {background-color: #1e1e1e;}
}